{% extends "slow_forum/base_content.html"%}
{% load i18n tz slow_forms %}

{% block page_title %}
    {% translate "Login" %}
{% endblock %}

{% block content_title %}
    {% translate "Login" %}
{% endblock %}

{% block content %}

    {% if form.errors %}
        <p>
            {% translate "Your username and password are incorrect. Please try again." %}
        </p>
    {% endif %}

    {% if next %}
        {% if user.is_authenticated %}
            <p>
                {% translate "Your account don't have access to this page. To proceed,
                please login with an account that has access." %}
            </p>
        {% else %}
            <p>
                {% translate "Please login to see this page." %}
            </p>
        {% endif %}
    {% endif %}

    <form class="w-50" method="post" action="{% url 'login' %}">
        {% csrf_token %}
        {% bootstrap_form form %}

        <input type="hidden" name="next" value="{{ next }}">

        <input type="submit" class="btn btn-primary" value="{% translate "Login" %}">
        <a class="btn btn-secondary" href="{% url 'password_reset' %}">{% translate "Lost password?" %}</a>
    </form>

{% endblock %}
